Package com.google.protobuf

# Class DescriptorProtos.SourceCodeInfo.Location

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.protobuf.DescriptorProtos.SourceCodeInfo.Location

All Implemented Interfaces:
  `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  DescriptorProtos.SourceCodeInfo

public static final class DescriptorProtos.SourceCodeInfo.Location extends GeneratedMessageV3 implements DescriptorProtos.SourceCodeInfo.LocationOrBuilder
Protobuf type `google.protobuf.SourceCodeInfo.Location`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
Protobuf type `google.protobuf.SourceCodeInfo.Location`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LEADING_COMMENTS_FIELD_NUMBER`
`static final int`
`LEADING_DETACHED_COMMENTS_FIELD_NUMBER`
`static final Parser<DescriptorProtos.SourceCodeInfo.Location>`
`PARSER`
Deprecated.
`static final int`
`PATH_FIELD_NUMBER`
`static final int`
`SPAN_FIELD_NUMBER`
`static final int`
`TRAILING_COMMENTS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static DescriptorProtos.SourceCodeInfo.Location`
`getDefaultInstance()`
`DescriptorProtos.SourceCodeInfo.Location`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`ByteString`
`getLeadingCommentsBytes()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`String`
`getLeadingDetachedComments(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`ByteString`
`getLeadingDetachedCommentsBytes(int index)`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`int`
`getLeadingDetachedCommentsCount()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`ProtocolStringList`
`getLeadingDetachedCommentsList()`
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`
`Parser<DescriptorProtos.SourceCodeInfo.Location>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`int`
`getPath(int index)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getPathCount()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`List<Integer>`
`getPathList()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`int`
`getSpan(int index)`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`int`
`getSpanCount()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`List<Integer>`
`getSpanList()`
`repeated int32 span = 2 [json_name = "span", packed = true];`
`String`
`getTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`ByteString`
`getTrailingCommentsBytes()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasLeadingComments()`
`optional string leading_comments = 3 [json_name = "leadingComments"];`
`boolean`
`hasTrailingComments()`
`optional string trailing_comments = 4 [json_name = "trailingComments"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.SourceCodeInfo.Location.Builder`
`newBuilder()`
`static DescriptorProtos.SourceCodeInfo.Location.Builder`
`newBuilder(DescriptorProtos.SourceCodeInfo.Location prototype)`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.SourceCodeInfo.Location.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static DescriptorProtos.SourceCodeInfo.Location`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(byte[] data)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(ByteString data)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(InputStream input)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.SourceCodeInfo.Location`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.SourceCodeInfo.Location>`
`parser()`
`DescriptorProtos.SourceCodeInfo.Location.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### PATH_FIELD_NUMBER

public static final int PATH_FIELD_NUMBER

See Also:
  - Constant Field Values

### SPAN_FIELD_NUMBER

public static final int SPAN_FIELD_NUMBER

See Also:
  - Constant Field Values

### LEADING_COMMENTS_FIELD_NUMBER

public static final int LEADING_COMMENTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### TRAILING_COMMENTS_FIELD_NUMBER

public static final int TRAILING_COMMENTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### LEADING_DETACHED_COMMENTS_FIELD_NUMBER

public static final int LEADING_DETACHED_COMMENTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final Parser<DescriptorProtos.SourceCodeInfo.Location> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### getPathList

public List<Integer> getPathList()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the path.

### getPathCount

public int getPathCount()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPathCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of path.

### getPath

public int getPath(int index)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Specified by:
  `getPath` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The path at the given index.

### getSpanList

public List<Integer> getSpanList()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpanList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the span.

### getSpanCount

public int getSpanCount()
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpanCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of span.

### getSpan

public int getSpan(int index)
`repeated int32 span = 2 [json_name = "span", packed = true];`

Specified by:
  `getSpan` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The span at the given index.

### hasLeadingComments

public boolean hasLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `hasLeadingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  Whether the leadingComments field is set.

### getLeadingComments

public String getLeadingComments()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `getLeadingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The leadingComments.

### getLeadingCommentsBytes

public ByteString getLeadingCommentsBytes()
`optional string leading_comments = 3 [json_name = "leadingComments"];`

Specified by:
  `getLeadingCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The bytes for leadingComments.

### hasTrailingComments

public boolean hasTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `hasTrailingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  Whether the trailingComments field is set.

### getTrailingComments

public String getTrailingComments()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `getTrailingComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The trailingComments.

### getTrailingCommentsBytes

public ByteString getTrailingCommentsBytes()
`optional string trailing_comments = 4 [json_name = "trailingComments"];`

Specified by:
  `getTrailingCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The bytes for trailingComments.

### getLeadingDetachedCommentsList

public ProtocolStringList getLeadingDetachedCommentsList()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsList` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  A list containing the leadingDetachedComments.

### getLeadingDetachedCommentsCount

public int getLeadingDetachedCommentsCount()
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsCount` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Returns:
  The count of leadingDetachedComments.

### getLeadingDetachedComments

public String getLeadingDetachedComments(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedComments` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The leadingDetachedComments at the given index.

### getLeadingDetachedCommentsBytes

public ByteString getLeadingDetachedCommentsBytes(int index)
`repeated string leading_detached_comments = 6 [json_name = "leadingDetachedComments"];`

Specified by:
  `getLeadingDetachedCommentsBytes` in interface `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the leadingDetachedComments at the given index.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.SourceCodeInfo.Location parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.SourceCodeInfo.Location parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.SourceCodeInfo.Location parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.SourceCodeInfo.Location.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.SourceCodeInfo.Location.Builder newBuilder()

### newBuilder

public static DescriptorProtos.SourceCodeInfo.Location.Builder newBuilder(DescriptorProtos.SourceCodeInfo.Location prototype)

### toBuilder

public DescriptorProtos.SourceCodeInfo.Location.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.SourceCodeInfo.Location.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static DescriptorProtos.SourceCodeInfo.Location getDefaultInstance()

### parser

public static Parser<DescriptorProtos.SourceCodeInfo.Location> parser()

### getParserForType

public Parser<DescriptorProtos.SourceCodeInfo.Location> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public DescriptorProtos.SourceCodeInfo.Location getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`